# install-archetype

## Purpose

Installs an archetype from a file, URL or name/version pair.

## Examples

    griffon install-archetype http://foo.com/griffon-bar-1.0.zip
    griffon install-archetype ../griffon-bar-1.0.zip
    griffon install-archetype bar 1.0

## Description

Usage:

    griffon install-archetype [URL/File]
    griffon install-plugin [name] [version]* --repository=<repositoryName>

The `install-archetype` command is a versatile command that allows the installation of archetypes from a remote URL, a local file or a name/version combination

To install from a URL simply specify the absolute URL to the archetype package:

    griffon install-archetype http://foo.com/foo-griffon-archetype.zip

To install from a local file specify the absolute or relative path to the file:

    griffon install-archetype ../bar-griffon-archetype.zip

To install from an artifact repository specify the name of the archetype, the version is optional

    griffon install-archetype bar

Arguments:

- `name` -The name of the archetype to install. You may specify an URL, a zip file or a regular name.
- `version` - The version of the archetype to install. May only be specified if an archetype name is supplied.

Options:

- `repository` - Name of an specific repository where the search will be performed. Defaults to griffon-central